
%global meadversion 2.5.3
%global namedversion 2.5.3.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 3

%bcond_without mead

%bcond_with bin
%bcond_with javadoc

%define maven_version 2.5.3.redhat-2

Name:           opensaml
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        OpenSAML-J
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: opensaml-2.5.3.redhat-2-scm-sources.zip
Source101: opensaml-2.5.3.redhat-2-patches.zip
Source102: opensaml-2.5.3.redhat-2.pom
Source103: opensaml-2.5.3.redhat-2.jar
Source104: opensaml-2.5.3.redhat-2-sources.jar
Source105: opensaml-2.5.3.redhat-2-bin.zip
Source106: opensaml-2.5.3.redhat-2-test-javadoc.jar
Source107: opensaml-2.5.3.redhat-2-javadoc.jar
Source108: opensaml-2.5.3.redhat-2-bin.tar.gz
%endif

URL:            http://www.opensaml.org/
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       shibboleth-parent >= 0:3
%endif
Requires:       openws >= 0:1.4.4
Requires:       joda-time >= 0:1.6.2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/opensaml-%{namedversion}-%{release}-root

%description
The OpenSAML-J library provides tools to support developers working with the
Security Assertion Markup Language (SAML).

%if %with javadoc
%package -n opensaml-javadoc
Summary:        Javadoc for opensaml
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n opensaml-javadoc
%{summary}.
%endif

%prep
%setup -q -n java-opensaml2 -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/opensaml-%{namedversion}.jar %{buildroot}%{_javadir}/opensaml-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/opensaml-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/opensaml-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/opensaml-%{namedversion}-test-javadoc.jar %{buildroot}%{_javadir}/opensaml-%{namedversion}-test-javadoc.jar
%{__cp} -p %{_sourcedir}/opensaml-%{namedversion}-sources.jar %{buildroot}%{_javadir}/opensaml-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/opensaml-%{namedversion}-bin.tar.gz %{buildroot}%{_javadir}/opensaml-%{namedversion}-bin.tar.gz
%{__cp} -p %{_sourcedir}/opensaml-%{namedversion}-bin.zip %{buildroot}%{_javadir}/opensaml-%{namedversion}-bin.zip
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/opensaml-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-opensaml.pom

# depmaps
%add_to_maven_depmap org.opensaml opensaml %{namedversion} JPP opensaml
[ %{name} = "opensaml" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/opensaml

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/opensaml-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/opensaml-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/opensaml-%{namedversion} -x META-INF/\*
%{__ln_s} opensaml-%{namedversion} %{buildroot}%{_javadocdir}/opensaml
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n opensaml
%update_maven_depmap

%postun -n opensaml
%update_maven_depmap

%files -n opensaml
%defattr(0644,root,root,0755)
%doc doc/CREDITS.txt doc/LICENSE.txt doc/README.txt doc/RELEASE-NOTES.txt
%{_javadir}/opensaml-%{namedversion}.jar
%{_javadir}/opensaml.jar
%exclude %{_javadir}/opensaml-%{namedversion}-javadoc.jar
%exclude %{_javadir}/opensaml-javadoc.jar
%exclude %{_javadir}/opensaml-%{namedversion}-test-javadoc.jar
%exclude %{_javadir}/opensaml-test-javadoc.jar
%{_javadir}/opensaml-%{namedversion}-sources.jar
%{_javadir}/opensaml-sources.jar
%if %without bin
%exclude %{_javadir}/opensaml-%{namedversion}-bin.tar.gz
%exclude %{_javadir}/opensaml-bin.tar.gz
%exclude %{_javadir}/opensaml-%{namedversion}-bin.zip
%exclude %{_javadir}/opensaml-bin.zip
%endif
%{_mavenpomdir}/JPP-opensaml.pom
%{_mavendepmapfragdir}/opensaml

%if %with javadoc
%files -n opensaml-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/opensaml-%{namedversion}
%{_javadocdir}/opensaml
%{_javadir}/opensaml-%{namedversion}-javadoc.jar
%{_javadir}/opensaml-javadoc.jar
%{_javadir}/opensaml-%{namedversion}-test-javadoc.jar
%{_javadir}/opensaml-test-javadoc.jar
%endif

%changelog
* Wed Sep 18 2013 David Walluck <dwalluck@redhat.com> - 2.5.3-2.redhat_1.1
- disable javadoc
- add bin option

* Sat Sep 07 2013 David Walluck <dwalluck@redhat.com> - 2.5.3-1.redhat_1.1
- 2.5.3.redhat-1

* Sat Sep 07 2013 David Walluck <dwalluck@redhat.com> 0:2.5.3-1
- 2.5.3

* Mon Aug 12 2013 Paul Gier <pgier@redhat.com> - 0:2.5.1-2.redhat_2.2
- Rebuild to update some dependencies in the pom

* Fri Mar 08 2013 Fernando Nasser <fnasser@redhat.com> - 0:2.5.1-1.redhat_1.2
- Do not require velocity as it is not shipped with the EAP (only velocity-eap6)

* Wed Feb 20 2013 Yong Yang <yyang@redhat.com> - 0:2.5.1-1.redhat_1
- 2.5.1

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.4.1-10.redhat_3.1
- Rebuild for MD5

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.4.1-9.redhat_3.1
- Fix parent and bom for eap 6.0.1

* Tue Sep 04 2012 Paul Gier <pgier@redhat.com> - 0:2.4.1-8.redhat_2.4
- Update pom patch for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.4.1-8.redhat_2.3
- Rebuild unsigned

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.4.1-8.redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.4.1-8.redhat_1.1
- Rebuild using cache signing

* Mon Jun 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.4.1-8.redhat_1
- Build in MEAD

* Fri May 11 2012 David Walluck <dwalluck@redhat.com> 0:2.4.1-7
- rerun vman patch
- add missing bcprov-jdk16 that upstream missed (was through xmltooling)
- add missing commons-httpclient that upstream missed (was through openws)
- remove xml runtime deps
- remove commons-collections and commons-lang
- add docs
- add description (from pom.xml)
- fix repolib file ownership
- fix wrong maven calls
- fix Release
- fix sources file
- javadoc Requires jpackage-utils
- fix Requires

* Fri Oct 25 2011 Yong Yang <yyang@redhat.com> 2.4.1-6_redhat_1
- Build for Werewolf

* Fri Oct 21 2011 Yong Yang <yyang@redhat.com> 2.4.1-5
- Do not create backup file because the file will be packed into src zip

* Fri Oct 14 2011 Yong Yang <yyang@redhat.com> 2.4.1-4
- Comment dependencySets in assembly src.xml, tar.gz only

* Fri Oct 14 2011 Yong Yang <yyang@redhat.com> 2.4.1-3
- Add more exclude in assembly src.xml

* Fri Oct 14 2011 Yong Yang <yyang@redhat.com> 2.4.1-2
- Add exclusion to assembly src.xml to exclude local repo

* Fri Sep 30 2011 Yong Yang <yyang@redhat.com> 2.4.1-1
- Upgrade to 2.4.1
- Add repolib

* Fri Jul 10 2009 David Walluck <dwalluck@redhat.com> 0:2.2.3-2
- spec cleanup

* Tue Jun 16 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.2.3-1.jpp5
- first release
